import java.io.*;
import java.util.Hashtable;

public class Controlador extends Thread{

	private Monohilo []hilos;
	private int NUM_ESCLAVOS;
	private String cambios;

	public Controlador(Monohilo []thr) throws IOException{
		hilos=thr;
		NUM_ESCLAVOS=hilos.length;
	}
	
	public void run(){
		try{
			while(true){
				for(int i=0;i<NUM_ESCLAVOS;i++){
					if(hilos[i].tieneCambios()){
						//Este hilo tiene cambios
						cambios=hilos[i].leerCambios();
						//Ahi que avisar a todos (menos a este)
						//Los anteriores
						for(int j=0;j<i;j++){
							if(hilos[j].stillAlive()){
								hilos[j].mandarCambios(cambios);
							}
						}
						//Los siguientes
						for(int j=i+1;j<NUM_ESCLAVOS;j++){
							if(hilos[j].stillAlive()){
								hilos[j].mandarCambios(cambios);
							}
						}
					}
				}
			}
		}catch(IOException ioe){
			System.out.println("ERROR CRITICO.");
			System.out.println("El contralador se ha interrumpido.");
			System.out.println("SE DETIENE EL SERVIDOR\r\n"+ioe);
			System.exit(1);
		}
	}
}
