# pizarra-html5

Código fuente de una pizarra electrónico usando el módulo Canvas de HTML5.

## Introducción:

El proyecto está compuesto de tres subsistemas:

* Página Web de ejemplo usando el módulo Canvas de HTML5.
* Servidor multihilo para la sincronización de los clientes (desarrollado en Java).
* Pasarela de WebSockets a Sockets TCP usados por el servidor (proyecto WebSockify).

## Descarga:

* [Pizarra Compartida (HTML5)](https://code.castanedo.es/guzman/pizarra-html5/raw/master/src/cliente/PizarraCompartida.zip)
* Servidor:
  * [Java JAR](https://code.castanedo.es/guzman/pizarra-html5/raw/master/src/server/ServidorMultihilo.jar)
  * [Linux](https://code.castanedo.es/guzman/pizarra-html5/raw/master/src/server/ServidorMultihiloLinux.tar.gz)
  * [Source Code](https://code.castanedo.es/guzman/pizarra-html5/raw/master/src/server/ServidorMultihiloSourceCode.zip)
* [WebSockify 0.2.1](https://code.castanedo.es/guzman/pizarra-html5/raw/master/src/websockify/websockify-master.zip)

## Documentación:

* [Presentacion PPTX](https://code.castanedo.es/guzman/pizarra-html5/raw/master/doc/HTML5.pptx)
* [Video Tutorial (YouTube)](https://youtu.be/ERY7_mqwO5k)

## Página Original del Proyecto:

* https://sites.google.com/site/tm2012html5/home

## Créditos:

Este código fuente a sido desarrollado para la asignatura de `Tecnologías Multimedia` (Ingeniería de Telecomunicación, Universidad de Oviedo, Año 2012) por:

* Sergio Álvarez Fernández
* Aitor Blanco Sagasti
* [Guzmán Castanedo Villalba](mailto:guzman@castanedo.es)

## Agradecimientos:

* WebSockify (WebSockets): [https://github.com/novnc/websockify](https://github.com/novnc/websockify)
* Untitled.es (Base HTML5-Canvas): [http://untitled.es/pizarra-con-html5-y-canvas/](http://untitled.es/pizarra-con-html5-y-canvas/)
